// This class was generated by the JAXRPC SI, do not edit.
// Contents subject to change without notice.
// JAX-RPC Standard Implementation (1.1.3, Build R2)
// Generated source version: 1.1.3

package info.textgrid.lab.dictionarysearch.client;

import javax.xml.namespace.QName;

import com.sun.xml.rpc.encoding.Initializable;
import com.sun.xml.rpc.encoding.InternalTypeMappingRegistry;
import com.sun.xml.rpc.encoding.ObjectSerializerBase;
import com.sun.xml.rpc.encoding.SOAPDeserializationContext;
import com.sun.xml.rpc.encoding.SOAPDeserializationState;
import com.sun.xml.rpc.encoding.SOAPSerializationContext;
import com.sun.xml.rpc.streaming.XMLReader;
import com.sun.xml.rpc.streaming.XMLReaderUtil;
import com.sun.xml.rpc.streaming.XMLWriter;

public class Wbb_WebServiceSoap_wbb_getAllEtymRelations_RequestStruct_SOAPSerializer
		extends ObjectSerializerBase implements Initializable {

	public Wbb_WebServiceSoap_wbb_getAllEtymRelations_RequestStruct_SOAPSerializer(
			QName type, boolean encodeType, boolean isNullable,
			String encodingStyle) {
		super(type, encodeType, isNullable, encodingStyle);
	}

	@Override
	public void initialize(InternalTypeMappingRegistry registry)
			throws java.lang.Exception {
	}

	@Override
	public java.lang.Object doDeserialize(SOAPDeserializationState state,
			XMLReader reader, SOAPDeserializationContext context)
			throws java.lang.Exception {
		info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllEtymRelations_RequestStruct instance = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllEtymRelations_RequestStruct();
		java.lang.Object member;
		boolean isComplete = true;
		javax.xml.namespace.QName elementName;

		reader.nextElementContent();
		XMLReaderUtil.verifyReaderState(reader, XMLReader.END);
		return (isComplete ? (java.lang.Object) instance
				: (java.lang.Object) state);
	}

	@Override
	public void doSerializeAttributes(java.lang.Object obj, XMLWriter writer,
			SOAPSerializationContext context) throws java.lang.Exception {
		info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllEtymRelations_RequestStruct instance = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllEtymRelations_RequestStruct) obj;

	}

	@Override
	public void doSerializeInstance(java.lang.Object obj, XMLWriter writer,
			SOAPSerializationContext context) throws java.lang.Exception {
		info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllEtymRelations_RequestStruct instance = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_getAllEtymRelations_RequestStruct) obj;

	}
}
